Bug Hunting Session
Bug 72880 - CONFIGURATION: Automatically associate the protocol vnd.libreoffice.cmis with LibreOffice on the installation
Summary: CONFIGURATION: Automatically associate the protocol vnd.libreoffice.cmis with...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.2.0.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:5.1.0
Keywords:
: 94861 (view as bug list)
Depends on:
Blocks: Installer
  Show dependency treegraph
 
Reported: 2013-12-19 16:00 UTC by Christopher POTTER
Modified: 2017-10-26 20:17 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher POTTER 2013-12-19 16:00:24 UTC
When LO is installed, it should be great that it modify the registry to associate the protocol "vnd.libreoffice.cmis" with the program.

Because if we want to use CMIS protocol from a GED software to edit inline a document using LibreOffice, we are forced to edit registry manually on each computer like this:

REGEDIT4

[HKEY_CLASSES_ROOT\vnd.libreoffice.cmis]

@="URL:LibreOffice Cmis Protocol"

"URL Protocol"=""

[HKEY_CLASSES_ROOT\vnd.libreoffice.cmis\shell]

[HKEY_CLASSES_ROOT\vnd.libreoffice.cmis\shell\open]

[HKEY_CLASSES_ROOT\vnd.libreoffice.cmis\shell\open\command]

@="\"C:\Program Files (x86)\LibreOffice 4\program\soffice.exe\" \"%1\""


then we use a browser to open an url like this:

vnd.libreoffice.cmis://user@https:/myged/cmisws%2FRepositoryService%3Fwsdl%23-default-/mypath/test.odt

              
Operating System: Windows 7
Version: 4.2.0.1 rc
Comment 1 Julien Nabet 2014-10-25 17:12:13 UTC
Andras: where are stored this kind of config settings in LO sources?
Comment 2 Robinson Tryon (qubit) 2015-02-04 08:55:41 UTC
(In reply to Christopher Potter from comment #0)
> When LO is installed, it should be great that it modify the registry to
> associate the protocol "vnd.libreoffice.cmis" with the program.

Sounds like a plausible enhancement request
Status -> NEW
Comment 3 Julien Nabet 2015-10-07 17:00:53 UTC
*** Bug 94861 has been marked as a duplicate of this bug. ***
Comment 4 Benjamin Kahn 2015-10-07 17:10:15 UTC
Okay... This is a somewhat less general bug than mine, but it *is* earlier.

This bug effects ALL platforms, not just Windows.

On Linux, please add:
x-scheme-handler/vnd.libreoffice.cmis
to the Mimetype list in the appropriate .desktop files.

On Macintosh:
<sberg> xkahn, I guess that needs to be addressed in LO's Info.plist

On Windows:
https://msdn.microsoft.com/en-us/library/aa767914%28v=vs.85%29.aspx
or see above comments.
Comment 5 Commit Notification 2015-10-08 12:19:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac33ef3a4abe73c65600e1f199d25e1a1f0080db

Related: tdf#72880 presumably using startcenter as generic LO target will work

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Stephan Bergmann 2015-10-08 12:37:18 UTC
Cedric, all:  One thought that comes to mind is how we spread those vnd.libreoffice.cmis URLs.  Was that intended as a LO-internal implementation detail of the CMIS UCP, that then "leaked" and took on a live of its own with our user base?  Or is it intended to be a stable URL scheme for external use?
Comment 7 Commit Notification 2015-10-08 15:25:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56a36956ed1fee1dd53817a81bcb2241373aebdc

Related: tdf#72880 add vnd.libreoffice.cmis to CFBundleURLTypes

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2015-10-13 13:59:26 UTC
assuming that the above mac and gnome efforts work, that still leaves the windows case. I don't intend to personally fix the windows one so that still remains a to-do.
Comment 9 QA Administrators 2017-10-26 08:09:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug